Skip to content

Remove Legal Hold (Object)

DELETE
/api/v1/storage/buckets/{bucket_name}/legalhold/object/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/{bucket_name}/legalhold/object/?object_name=<OBJECT_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&version_id=<VERSION_ID>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

This API allows users to remove legal hold from an object.

bucket_name
required
string

Bucket Name

object_name
required
string

Object Name with Directory.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

version_id
required
string

Example

740d0a130b0745ebb036bb866c87f847

Version ID

Successful response